--- shaperd-0.2.1.orig/debian/changelog
+++ shaperd-0.2.1/debian/changelog
@@ -0,0 +1,147 @@
+shaperd (0.2.1-5.2) unstable; urgency=medium
+
+ * Non-maintainer upload.
+ * Fix FTBFS with GCC 4.3 (Closes: #461704).
+ * Add LSB header to init script (Closes: #468750).
+
+ -- Luk Claes <luk@debian.org> Sun, 09 Mar 2008 17:17:03 +0000
+
+shaperd (0.2.1-5.1) unstable; urgency=high
+
+ * Non-maintainer upload.
+ * Urgency set to high for RC bug fix.
+ * Fix FTBFS as UTS_RELEASE is not exported anymore by linux-libc-dev
+ (closes: 428994).
+
+ -- Pierre Habouzit <madcoder@debian.org> Wed, 18 Jul 2007 16:07:09 +0200
+
+shaperd (0.2.1-5) unstable; urgency=low
+
+ * gcc-3.4 compliance (closes: #259826)
+
+ -- RISKO Gergely <risko@debian.org> Sun, 8 Aug 2004 15:53:17 +0200
+
+shaperd (0.2.1-4) unstable; urgency=low
+
+ * make /etc/shaperd/shaperd.conf as the default config file in the
+ binary (closes: #195269)
+ * fixing the documentation issue about module loading and proc mounting
+ (closes: #195275)
+
+ -- RISKO Gergely <errge@lisa.elte.hu> Tue, 29 Jul 2003 11:20:15 +0200
+
+shaperd (0.2.1-3) unstable; urgency=low
+
+ * adding <cassert> include to config.cpp (closes: #196653)
+
+ -- RISKO Gergely <risko@debian.org> Sun, 8 Jun 2003 22:20:08 +0200
+
+shaperd (0.2.1-2) unstable; urgency=low
+
+ * iptables-dev added to build depends (closes: #178179)
+
+ -- RISKO Gergely <risko@debian.org> Fri, 24 Jan 2003 20:33:56 +0100
+
+shaperd (0.2.1-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- RISKO Gergely <risko@debian.org> Fri, 17 Jan 2003 15:22:41 +0100
+
+shaperd (0.2pre44-4) unstable; urgency=high
+
+ * I don't know why somebody NMU a package, if the maintainer is
+ so active like am I.
+ * Now the hppa arch seems successfully compiled the new gcc-3.0 and
+ all of them tools. (like libstdc3++)
+ * Anyway thanks for Matthew Wilcox.
+
+ -- RISKO Gergely <risko@debian.org> Fri, 4 Jan 2002 21:15:15 +0100
+
+shaperd (0.2pre44-3.1) unstable; urgency=high
+
+ * NMU to add hppa back in because the maintainer is a fucking moron
+ who doesn't understand how the archive system works.
+
+ -- Matthew Wilcox <willy@debian.org> Fri, 4 Jan 2002 06:20:29 -0700
+
+shaperd (0.2pre44-3) unstable; urgency=high
+
+ * excluding hppa from the arch list, because this arch is shit, and
+ this nice package can't go to woody because of this nasty arch
+
+ -- RISKO Gergely <risko@debian.org> Wed, 2 Jan 2002 21:15:53 +0100
+
+shaperd (0.2pre44-2) unstable; urgency=low
+
+ * some more example (also for up.d and down.d)
+ * recommends iptables
+
+ -- RISKO Gergely <risko@debian.org> Thu, 13 Dec 2001 23:16:03 +0100
+
+shaperd (0.2pre44-1) unstable; urgency=low
+
+ * new upstream
+
+ -- RISKO Gergely <risko@debian.org> Thu, 18 Oct 2001 19:36:42 +0200
+
+shaperd (0.2pre42-1) unstable; urgency=low
+
+ * new upstream release, with fwmark (so it is now ipv6 aware)
+ * iptables-dev builddep is overridden with included iptables source,
+ because it can't go to testing, while hppa can't compile it.
+
+ -- RISKO Gergely <risko@debian.org> Wed, 10 Oct 2001 10:42:15 +0200
+
+shaperd (0.2pre35-2) unstable; urgency=low
+
+ * sparc fixes (closes: Bug#109042)
+
+ -- RISKO Gergely <risko@errge.homeip.net> Sat, 25 Aug 2001 22:57:45 +0200
+
+shaperd (0.2pre35-1) unstable; urgency=low
+
+ * upstream update
+ * /etc/shaperd/shaperd.conf is now conffile
+ * /var/lib/dpkg/info/shaperd.prerm fix
+
+ -- RISKO Gergely <risko@debian.org> Fri, 24 Aug 2001 08:13:50 +0200
+
+shaperd (0.2pre27-4) unstable; urgency=low
+
+ * sparc fixes (closes: Bug#109042)
+
+ -- RISKO Gergely <risko@debian.org> Thu, 23 Aug 2001 13:32:27 +0200
+
+shaperd (0.2pre27-3) unstable; urgency=low
+
+ * init.d enchancements.
+ * iptables include/library removed in favour of the new iptables-dev package
+
+ -- RISKO Gergely <risko@debian.org> Sat, 4 Aug 2001 18:34:22 +0200
+
+shaperd (0.2pre27-2) unstable; urgency=low
+
+ * Packaging bug in previous release. (closes: Bug#104738)
+
+ -- RISKO Gergely <risko@debian.org> Mon, 16 Jul 2001 21:59:43 +0200
+
+shaperd (0.2pre27-1) unstable; urgency=low
+
+ * upstream update.
+
+ -- RISKO Gergely <risko@debian.org> Mon, 16 Jul 2001 21:59:43 +0200
+
+shaperd (0.2pre21-2) unstable; urgency=low
+
+ * -I/usr/src/linux/include removed.
+
+ -- RISKO Gergely <risko@debian.org> Mon, 25 Jun 2001 18:25:13 +0200
+
+shaperd (0.2pre21-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- RISKO Gergely <risko@debian.org> Wed, 20 Jun 2001 16:43:16 +0200
+
+
--- shaperd-0.2.1.orig/debian/copyright
+++ shaperd-0.2.1/debian/copyright
@@ -0,0 +1,9 @@
+This package was debianized by RISKO Gergely <risko@debian.org> on
+Wed, 20 Jun 2001 16:43:16 +0200.
+
+It was downloaded from http://webs.sinectis.com.ar/lesanti/shaperd/shaperd-0.2pre44.tar.gz
+
+Upstream Author: Leandro Santi <lesanti@sinectis.com.ar>
+
+Copyright: GPL
+You can find it (on Debian systems) in the file /usr/share/common-licenses/GPL.
--- shaperd-0.2.1.orig/debian/rules
+++ shaperd-0.2.1/debian/rules
@@ -0,0 +1,56 @@
+#!/usr/bin/make -f
+# debian/rules for shaperd
+# GNU copyright 1997 to 1999 by Joey Hess.
+# GNU copyright 2001 RISKO Gergely.
+
+export DH_COMPAT=2
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ touch configure-stamp
+
+build: configure-stamp build-stamp
+build-stamp:
+ dh_testdir
+ cd src && $(MAKE) with_ipq=yes
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+# rm -f build-stamp configure-stamp
+ rm -f build-stamp configure-stamp debian/libs/libipq/libipq.o debian/libs/libipq/libipq.a
+ -(cd src && $(MAKE) clean)
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+ cp src/shaperd $(CURDIR)/debian/shaperd/usr/sbin/shaperd
+
+binary-indep: build install
+
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_installdocs
+ dh_installinit
+ dh_installexamples etc/example.1.conf etc/example.2.conf.ipq etc/example.2.conf.divert etc/example.3.conf debian/example/up.d debian/example/down.d debian/example/example.base.conf
+ dh_installmanpages
+ echo "# See the examples dir in /usr/share/doc/shaperd and replace this file" >$(CURDIR)/debian/shaperd/etc/shaperd/shaperd.conf
+ dh_installchangelogs CHANGES
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- shaperd-0.2.1.orig/debian/docs
+++ shaperd-0.2.1/debian/docs
@@ -0,0 +1,2 @@
+README
+TODO
--- shaperd-0.2.1.orig/debian/control
+++ shaperd-0.2.1/debian/control
@@ -0,0 +1,16 @@
+Source: shaperd
+Section: admin
+Priority: optional
+Maintainer: RISKO Gergely <risko@debian.org>
+Build-Depends: debhelper (>> 2.0.0), iptables-dev
+Standards-Version: 3.5.8.0
+
+Package: shaperd
+Architecture: any
+Depends: ${shlibs:Depends}
+Recommends: iptables
+Description: A user-mode traffic shaper for tcp-ip networks
+ Shaperd is a user-mode program that can shape traffic passing through
+ a Linux box. As it runs as a normal daemon, some kind of packet-forwarding
+ mechanism is needed. This can be done with the BSD divert sockets patch
+ for Linux 2.2, or with netfilter's built-in libipq under Linux 2.4.
--- shaperd-0.2.1.orig/debian/prerm
+++ shaperd-0.2.1/debian/prerm
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+#DEBHELPER#
--- shaperd-0.2.1.orig/debian/example/down.d
+++ shaperd-0.2.1/debian/example/down.d
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+iptables -D INPUT -j QUEUE
+iptables -D OUTPUT -j QUEUE
--- shaperd-0.2.1.orig/debian/example/example.base.conf
+++ shaperd-0.2.1/debian/example/example.base.conf
@@ -0,0 +1,10 @@
+log level = info
+packet forwarding = ipq
+daemon = yes
+pidfile = /var/run/shaperd.pid
+
+class all {
+ ipv4 classifier proto=all
+ bandwidth = 1000.0 kbyte/s
+ queue limits = 1000 kb 0 packets
+}
--- shaperd-0.2.1.orig/debian/example/up.d
+++ shaperd-0.2.1/debian/example/up.d
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+iptables -A INPUT -j QUEUE
+iptables -A OUTPUT -j QUEUE
--- shaperd-0.2.1.orig/debian/conffiles
+++ shaperd-0.2.1/debian/conffiles
@@ -0,0 +1,2 @@
+/etc/init.d/shaperd
+/etc/shaperd/shaperd.conf
--- shaperd-0.2.1.orig/debian/dirs
+++ shaperd-0.2.1/debian/dirs
@@ -0,0 +1,2 @@
+etc/shaperd
+usr/sbin
--- shaperd-0.2.1.orig/debian/README.Debian
+++ shaperd-0.2.1/debian/README.Debian
@@ -0,0 +1,19 @@
+shaperd for debian
+------------------
+
+This is a user-mode traffic shaper, which I found very-very useful. And it is
+easy to configure (not like the undocumented kernel things).
+
+Step-by-step:
+1. Make a configuration file in /etc/shaperd/shaperd.conf (from the examples)
+2. /etc/init.d/shaperd start
+3. iptables -A [INPUT|OUTPUT] [rules...] -j QUEUE
+4. Test
+5. Put the iptables rules to the /etc/shaperd/up.d and /etc/shaperd/down.d
+ files (as shell scripts)
+6. Enjoy your ssh which is now working while you're downloading big files!
+7. Send a letter to Leandro Santi <lsanti@fi.uba.ar> ;)
+8. If you liked that it is in debian send a letter to risko@debian.org
+
+RISKO Gergely
+risko@debian.org
--- shaperd-0.2.1.orig/debian/shaperd.init
+++ shaperd-0.2.1/debian/shaperd.init
@@ -0,0 +1,89 @@
+#! /bin/sh
+# /etc/init.d/shaperd
+# (C) 2001. RISKO Gergely (based on skeleton example)
+
+### BEGIN INIT INFO
+# Provides: shaperd
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+### END INIT INFO
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/shaperd
+NAME=shaperd
+DESC="TCP/IP Shaper Daemon"
+
+if ( [ ! -f /etc/shaperd/shaperd.conf ] || ( grep "# See the examples dir in /usr/share/doc/shaperd and replace this file" /etc/shaperd/shaperd.conf ) )
+then
+ echo "You can't use shaperd, until you write the config file for it."
+ echo "Please see the examples dir in /usr/share/doc/shaperd, and create"
+ echo "the /etc/shaperd/shaperd.conf configuration file!"
+
+ exit 0
+fi
+
+test -f $DAEMON || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- -c /etc/shaperd/shaperd.conf >/dev/null 2>&1
+ echo "$NAME."
+ if [ -x /etc/shaperd/up.d ]
+ then
+ /etc/shaperd/up.d
+ fi
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- -c /etc/shaperd/shaperd.conf >/dev/null 2>&1
+ echo "$NAME."
+ if [ -x /etc/shaperd/down.d ]
+ then
+ /etc/shaperd/down.d
+ fi
+ ;;
+ reload|force-reload)
+ echo "Reloading $DESC configuration files."
+ start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- -c /etc/shaperd/shaperd.conf >/dev/null 2>&1
+ if [ -x /etc/shaperd/down.d ]
+ then
+ /etc/shaperd/down.d
+ fi
+ if [ -x /etc/shaperd/up.d ]
+ then
+ /etc/shaperd/up.d
+ fi
+ ;;
+ restart)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- -c /etc/shaperd/shaperd.conf >/dev/null 2>&1
+ sleep 2
+ start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- -c /etc/shaperd/shaperd.conf >/dev/null 2>&1
+ echo "$NAME."
+ if [ -x /etc/shaperd/down.d ]
+ then
+ /etc/shaperd/down.d
+ fi
+ if [ -x /etc/shaperd/up.d ]
+ then
+ /etc/shaperd/up.d
+ fi
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0